function [d1_mean_d2, d1_std_d2] = hist2dist(hist_in, d2_min, d2_max, BINS);
	d1_mean_d2 = zeros(1,BINS);
	d1_std_d2 = zeros(1,BINS);
	
	d1_hist = sum(hist_in, 2);
	for d1 = 1:BINS
		d2_bins = hist_in(d1,:);
		d1_mean_d2(d1) = sum(linspace(d2_min,d2_max,BINS) .* d2_bins) / d1_hist(d1);
		d1_std_d2(d1) = sum(((linspace(d2_min,d2_max,BINS) - d1_mean_d2(d1)) .^ 2) .* d2_bins) / ...
			d1_hist(d1);
	end
	
	nan_idx = isnan(d1_mean_d2);
	d1_mean_d2(nan_idx) = 0;
	nan_idx = isnan(d1_std_d2);
	d1_std_d2(nan_idx) = 0;
end
