function fnames = real_dirs(path)
% returns the names of the real (not . or ..) subdirectories in a path.
% should work on windows or linux. fnames is a cell array
files = dir(path);
real_dir_indicator = zeros(length(files),1);

for i = 1:length(files)
    if (files(i).isdir || isempty(files(i).bytes)) && ...
		~(strcmp(files(i).name, '.') || strcmp(files(i).name, '..'))
            real_dir_indicator(i) = 1;
    end
end

counter = 0;
fnames = cell(sum(real_dir_indicator), 1);
for i = 1:length(files)
    if( real_dir_indicator(i) )
        counter = counter + 1;
        fnames{counter} = files(i).name;
    end
end
