% setup - Script to assist with the compilation of various 
%	MEX-files and other binary components required by the software,
%	the creation of default paths for data files, etc.
%
function setup();
	currentFolder = pwd;
	addpath(currentFolder);
	
	% corrDn ('calc_gist')
	display('Compiling corrDn (calc_gist)...');
	cd '../descriptor_calc/calc_gist';
	mex corrDn.c convolve.c wrap.c edges.c;
	cd(currentFolder);
	
	% libsvmwrite (LIBSVM)
	display('Compiling libsvmwrite (LIBSVM)...');
	cd '../third_party/libsvm-3.12/matlab';
	mex -largeArrayDims libsvmwrite.c;
	cd(currentFolder);

	% svm-predict, svm-train, svm-scale (LIBSVM)
	display('Compiling svm-predict, svm-train, svm-scale (LIBSVM)...');
	cd '../third_party/libsvm-3.12/';
	[status, result] = system_with_dyld_reset_mac('make');
	cd(currentFolder);

	% Create default data paths
	display('Creating default data paths...');
	mkdir('../../data','descs');
	mkdir('../../data/descs','decade_database');
	mkdir('../../data/descs','process_database_technicolor');

	display('Done.')
