function [status, result] = system_with_dyld_reset_mac(command);
	if(ismac())
		% Mac OS X requires resetting DYLD_LIBRARY_PATH to the system
		%	default, then restoring it to MATLAB's setting afterwards.
		dyld = getenv('DYLD_LIBRARY_PATH');
		setenv('DYLD_LIBRARY_PATH','');
	end
	
	[status, result] = system(command);
	
	if(ismac())
		% Mac OS X DYLD_LIBRARY_PATH reset (see above).
		setenv('DYLD_LIBRARY_PATH', dyld);
	end
end
